{{- if .Values.serviceMonitor.enabled }}
---
{{ template "common.ServiceMonitor" (list . "kube-state-metrics.ServiceMonitor") -}}
{{- end }}

{{- define "kube-state-metrics.ServiceMonitor" -}}
spec:
  endpoints:
    - port: http
      honnorLabels: true
{{- end }}
